# Retrieve a Accounting rule

`GET /lokta-lms/api/v1/accountingrules/{accountingRuleId}`

Returns the details of a defined Accounting rule.

Example Requests:

accountingrules/1

## Parameters
- `accountingRuleId` (path, integer, required): accountingRuleId

## Responses
- `default`: default response

## Response fields
- `allowMultipleCreditEntries` (boolean)
- `allowMultipleDebitEntries` (boolean)
- `allowedAccounts` (array of GLAccountData)
- `allowedCreditTagOptions` (array of CodeValueData)
- `allowedDebitTagOptions` (array of CodeValueData)
- `allowedOffices` (array of OfficeData)
- `creditAccounts` (array of GLAccountDataForLookup)
- `creditTags` (array of AccountingTagRuleData)
- `debitAccounts` (array of GLAccountDataForLookup)
- `debitTags` (array of AccountingTagRuleData)
- `description` (string)
- `id` (integer)
- `name` (string)
- `officeId` (integer)
- `officeName` (string)
- `systemDefined` (boolean)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/accountingrules/{accountingRuleId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "allowMultipleCreditEntries": true,
  "allowMultipleDebitEntries": true,
  "allowedAccounts": [
    {}
  ],
  "allowedCreditTagOptions": [
    {}
  ]
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveOneAccountingRule
